API Docs
REST reference for the Blue API.
REST API
Updated 6/2/2026, 3:05:52 AMAPI Keys3 operations
GET/api/api-keys/Apikeyrouter.List Api Keys
List API keys with the actual key value redacted for security reasons.
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | array<ApiKey> | No | Successful Response |
Response body
200application/jsonarray<ApiKey>| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | array<ApiKey> | Yes | None |
body[].id | body | string | Yes | None |
body[].created_at | body | string | Yes | None |
body[].updated_at | body | string | null | Yes | None |
body[].deleted_at | body | string | null | Yes | None |
body[].user_id | body | string | Yes | None |
body[].prefix | body | string | No | None |
body[].suffix | body | string | Yes | None |
body[].name | body | string | Yes | None |
body[].scopes | body | array<AuthScope> | Yes | None |
body[].device_id | body | string | null | No | None |
body[].expires_at | body | string | Yes | None |
body[].last_used_at | body | string | null | No | None |
POST/api/api-keys/Apikeyrouter.Create Api Key
Create a new api key and returns it in full.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
prefix | body | string | null | No | None |
name | body | string | null | No | None |
scopes | body | array<AuthScope> | Yes | None |
device_id | body | string | null | No | None |
time_to_live_seconds | body | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | CreateApiKeyResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonCreateApiKeyResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
api_key | body | ApiKey | Yes | Full API key model |
api_key.id | body | string | Yes | None |
api_key.created_at | body | string | Yes | None |
api_key.updated_at | body | string | null | Yes | None |
api_key.deleted_at | body | string | null | Yes | None |
api_key.user_id | body | string | Yes | None |
api_key.prefix | body | string | No | None |
api_key.suffix | body | string | Yes | None |
api_key.name | body | string | Yes | None |
api_key.scopes | body | array<AuthScope> | Yes | None |
api_key.device_id | body | string | null | No | None |
api_key.expires_at | body | string | Yes | None |
api_key.last_used_at | body | string | null | No | None |
raw_value | body | string | Yes | None |
DELETE/api/api-keys/{api_key_id}Apikeyrouter.Delete Api Key
Delete an API key by its ID. Returns the deleted API key.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api_key_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ApiKey | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonApiKey| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | Yes | None |
prefix | body | string | No | None |
suffix | body | string | Yes | None |
name | body | string | Yes | None |
scopes | body | array<AuthScope> | Yes | None |
device_id | body | string | null | No | None |
expires_at | body | string | Yes | None |
last_used_at | body | string | null | No | None |
Authentication3 operations
GET/api/auth/callbackAuthrouter.Browser Login Callback
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
code | query | string | Yes | None |
state | query | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
GET/api/auth/loginAuthrouter.Begin Browser Login
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
POST/api/auth/logoutAuthrouter.Logout
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
COA Comparison2 operations
POST/api/comparisons/Comparisonrouter.Generate Comparison
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_ids | body | array<string> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/comparisons/Comparisonrouter.Get Comparison
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_ids | query | array<string> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ComparisonResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonComparisonResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
operation_id | body | string | Yes | None |
comparison | body | array<Comparison> | null | Yes | None |
comparison[].id | body | string | Yes | None |
comparison[].coa_name | body | string | Yes | None |
comparison[].advantages | body | string | Yes | None |
comparison[].disadvantages | body | string | Yes | None |
comparison[].risks | body | string | Yes | None |
guidelines | body | string | null | Yes | None |
status | body | WorkerStatus | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
COA Statements16 operations
POST/api/coa-statements/Coastatementrouter.Create Coa Statement
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
name | body | string | Yes | None |
sections | body | array<COAStatementAvailable> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | COAStatementResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonCOAStatementResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
name | body | string | null | Yes | None |
temperature | body | number | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
GET/api/coa-statements/Coastatementrouter.Get Coa Statements
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | query | string | null | No | None |
query | query | string | null | No | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListCOAStatementResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListCOAStatementResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statements | body | array<COAStatementResponse> | Yes | None |
coa_statements[].id | body | string | Yes | None |
coa_statements[].user_id | body | string | Yes | None |
coa_statements[].operation_id | body | string | Yes | None |
coa_statements[].name | body | string | null | Yes | None |
coa_statements[].temperature | body | number | Yes | None |
coa_statements[].created_at | body | string | null | No | None |
coa_statements[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/coa-statements/{coa_statement_id}Coastatementrouter.Update Coa Statement
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | path | string | Yes | None |
name | body | string | null | No | None |
sections | body | array<COAStatementAvailable> | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/coa-statements/{coa_statement_id}Coastatementrouter.Get Coa Statement
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | COAStatementResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonCOAStatementResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
name | body | string | null | Yes | None |
temperature | body | number | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
DELETE/api/coa-statements/{coa_statement_id}Coastatementrouter.Delete Coa Statement
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | COAStatementResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonCOAStatementResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
name | body | string | null | Yes | None |
temperature | body | number | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
PUT/api/coa-statements/{coa_statement_id}/{attribute_id}Coastatementattributerouter.Update Coa Statement Attribute
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | path | string | Yes | None |
attribute_id | path | string | Yes | None |
content | body | string | null | No | None |
generated_output | body | string | null | No | None |
guidelines | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/coa-statements/{coa_statement_id}/{attribute_id}Coastatementattributerouter.Get Coa Statement Attribute
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | path | string | Yes | None |
attribute_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | COAStatementAttributeResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonCOAStatementAttributeResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
coa_statement_id | body | string | Yes | None |
content | body | string | null | Yes | None |
generated_output | body | string | null | Yes | None |
guidelines | body | string | null | Yes | None |
type | body | COAStatementAvailable | Yes | None |
name | body | string | null | Yes | None |
section_order | body | integer | null | Yes | None |
status | body | WorkerStatus | null | No | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
GET/api/coa-statements/{coa_statement_id}/attributesCoastatementattributerouter.Get Coa Statement Attributes
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | path | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | array<COAStatementAttributeResponse> | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonarray<COAStatementAttributeResponse>| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | array<COAStatementAttributeResponse> | Yes | None |
body[].id | body | string | Yes | None |
body[].user_id | body | string | Yes | None |
body[].operation_id | body | string | Yes | None |
body[].coa_statement_id | body | string | Yes | None |
body[].content | body | string | null | Yes | None |
body[].generated_output | body | string | null | Yes | None |
body[].guidelines | body | string | null | Yes | None |
body[].type | body | COAStatementAvailable | Yes | None |
body[].name | body | string | null | Yes | None |
body[].section_order | body | integer | null | Yes | None |
body[].status | body | WorkerStatus | null | No | None |
body[].created_at | body | string | null | No | None |
body[].updated_at | body | string | null | No | None |
POST/api/coa-statements/attribute/{attribute_id}/generateCoastatementattributerouter.Generate Single Warno
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
attribute_id | path | string | Yes | None |
guidelines | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/coa-statements/fieldsCoastatementrouter.Get Available Fields
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | array<COAStatementAvailable> | No | Successful Response |
Response body
200application/jsonarray<COAStatementAvailable>| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | array<COAStatementAvailable> | Yes | None |
POST/api/coa-statements/generateCoastatementrouter.Generate Coa Statement
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
number_of_coas | body | integer | Yes | None |
temperature | body | number | No | None |
guidelines | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListCOAStatementResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListCOAStatementResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statements | body | array<COAStatementResponse> | Yes | None |
coa_statements[].id | body | string | Yes | None |
coa_statements[].user_id | body | string | Yes | None |
coa_statements[].operation_id | body | string | Yes | None |
coa_statements[].name | body | string | null | Yes | None |
coa_statements[].temperature | body | number | Yes | None |
coa_statements[].created_at | body | string | null | No | None |
coa_statements[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
POST/api/coa-statements/sections/Coastatementsectionrouter.Create Coa Statement Section
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
coa_statement_id | body | string | Yes | None |
name | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/coa-statements/sections/Coastatementsectionrouter.Get Coa Statement Sections
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | query | string | Yes | None |
is_get_all_system_fields | query | boolean | No | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListCOAStatementSectionResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListCOAStatementSectionResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_sections | body | array<COAStatementSectionResponse> | Yes | None |
coa_statement_sections[].id | body | string | Yes | None |
coa_statement_sections[].operation_id | body | string | Yes | None |
coa_statement_sections[].coa_statement_id | body | string | Yes | None |
coa_statement_sections[].name | body | string | Yes | None |
coa_statement_sections[].section_order | body | integer | Yes | None |
coa_statement_sections[].type | body | COAStatementSectionType | Yes | None |
coa_statement_sections[].created_at | body | string | null | No | None |
coa_statement_sections[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/coa-statements/sections/Coastatementsectionrouter.Arrange Coa Statement Section
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | body | string | Yes | None |
sections | body | array<COAStatementSection> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
PUT/api/coa-statements/sections/{coa_statement_section_id}Coastatementsectionrouter.Update Coa Statement Section
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_section_id | path | string | Yes | None |
name | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
DELETE/api/coa-statements/sections/{coa_statement_section_id}Coastatementsectionrouter.Delete Coa Statement Section
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_section_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
Documents4 operations
POST/api/documents/Documentrouter.Upload Documents
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
files | body | array<string> | Yes | None |
operation_id | body | string | Yes | None |
type | body | DocumentType | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListDocumentResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListDocumentResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
documents | body | array<DocumentResponse> | Yes | None |
documents[].id | body | string | Yes | None |
documents[].operation_id | body | string | Yes | None |
documents[].name | body | string | Yes | None |
documents[].type | body | DocumentType | Yes | None |
documents[].file_type | body | string | Yes | None |
documents[].size | body | integer | Yes | None |
documents[].path | body | string | Yes | None |
documents[].num_tokens | body | integer | Yes | None |
documents[].status | body | WorkerStatus | null | Yes | None |
documents[].created_at | body | string | null | No | None |
documents[].updated_at | body | string | null | No | None |
documents[].opened_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
GET/api/documents/Documentrouter.Get Documents
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | query | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListDocumentResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListDocumentResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
documents | body | array<DocumentResponse> | Yes | None |
documents[].id | body | string | Yes | None |
documents[].operation_id | body | string | Yes | None |
documents[].name | body | string | Yes | None |
documents[].type | body | DocumentType | Yes | None |
documents[].file_type | body | string | Yes | None |
documents[].size | body | integer | Yes | None |
documents[].path | body | string | Yes | None |
documents[].num_tokens | body | integer | Yes | None |
documents[].status | body | WorkerStatus | null | Yes | None |
documents[].created_at | body | string | null | No | None |
documents[].updated_at | body | string | null | No | None |
documents[].opened_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
DELETE/api/documents/{document_id}Documentrouter.Delete Document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
document_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | DocumentResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonDocumentResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
operation_id | body | string | Yes | None |
name | body | string | Yes | None |
type | body | DocumentType | Yes | None |
file_type | body | string | Yes | None |
size | body | integer | Yes | None |
path | body | string | Yes | None |
num_tokens | body | integer | Yes | None |
status | body | WorkerStatus | null | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
opened_at | body | string | null | No | None |
GET/api/documents/{document_id}/presigned-urlDocumentrouter.Presigned Url
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
document_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | string | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonstring| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | string | Yes | None |
Entities8 operations
GET/api/entities/Terrainanalysisrouter.Get Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | query | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | Entities | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonEntities| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<Entity> | Yes | None |
entities[].id | body | string | Yes | None |
entities[].json_data | body | object | Yes | None |
entities[].sidc | body | string | Yes | None |
entities[].unit_name | body | string | Yes | None |
entities[].update_version | body | integer | Yes | None |
POST/api/entities/Terrainanalysisrouter.Create Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<CreateEntity> | Yes | None |
map_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | Entities | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonEntities| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<Entity> | Yes | None |
entities[].id | body | string | Yes | None |
entities[].json_data | body | object | Yes | None |
entities[].sidc | body | string | Yes | None |
entities[].unit_name | body | string | Yes | None |
entities[].update_version | body | integer | Yes | None |
PUT/api/entities/Terrainanalysisrouter.Update Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<UpdateEntity> | Yes | None |
map_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | UpdateEntitesAPIResponses | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonUpdateEntitesAPIResponses| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<UpdateEntityAPIResponse> | Yes | None |
entities[].applied | body | boolean | Yes | None |
entities[].found | body | boolean | Yes | None |
entities[].entity | body | Entity | Yes | None |
DELETE/api/entities/Terrainanalysisrouter.Delete Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entity_ids | body | array<string> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | boolean | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonboolean| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | boolean | Yes | None |
GET/api/entities/stagedTerrainanalysisrouter.Get Staged Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | query | string | Yes | None |
status | query | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | StagedEntities | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonStagedEntities| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<StagedEntity> | Yes | None |
entities[].id | body | string | Yes | None |
entities[].unit_name | body | string | Yes | None |
entities[].sidc | body | string | Yes | None |
entities[].status | body | string | Yes | None |
POST/api/entities/stagedTerrainanalysisrouter.Create Staged Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<CreateStagedEntity> | Yes | None |
map_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | StagedEntities | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonStagedEntities| Name | In | Type | Required | Description |
|---|---|---|---|---|
entities | body | array<StagedEntity> | Yes | None |
entities[].id | body | string | Yes | None |
entities[].unit_name | body | string | Yes | None |
entities[].sidc | body | string | Yes | None |
entities[].status | body | string | Yes | None |
DELETE/api/entities/stagedTerrainanalysisrouter.Delete Staged Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entity_ids | body | array<string> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | boolean | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonboolean| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | boolean | Yes | None |
POST/api/entities/staged/generateTerrainanalysisrouter.Generate Staged Entities
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
map_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | EntitiesGenerateResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonEntitiesGenerateResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
documents_found | body | boolean | Yes | None |
red_units | body | array<RedUnit> | Yes | None |
red_units[].unit_name | body | string | Yes | None |
red_units[].odin_results | body | object | Yes | None |
blue_units | body | array<BlueUnit> | Yes | None |
blue_units[].unit_name | body | string | Yes | None |
blue_units[].sidc | body | string | Yes | None |
Entity Resolution4 operations
GET/api/entity-resolution/entities/{entity_id}/historyEntityresolutionrouter.List Entity History
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entity_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
GET/api/entity-resolution/entities/{entity_id}/observationsEntityresolutionrouter.List Entity Observations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entity_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
DELETE/api/entity-resolution/entities/clearEntityresolutionrouter.Clear Entity Resolution
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
GET/api/entity-resolution/entities/currentEntityresolutionrouter.List Current Entities
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
Evaluation Criteria13 operations
GET/api/evaluation-criteria/Evaluationcriteriarouter.Get Evaluation Criteria
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | query | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | EvaluationCriteriaResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonEvaluationCriteriaResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
extra_information | body | string | null | Yes | None |
formula_grading | body | FormulaGrading | Yes | None |
status | body | WorkerStatus | null | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
PUT/api/evaluation-criteria/{evaluation_criteria_id}Evaluationcriteriarouter.Update Evaluation Criteria
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_id | path | string | Yes | None |
extra_information | body | string | null | No | None |
formula_grading | body | FormulaGrading | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
POST/api/evaluation-criteria/attributes/Evaluationcriteriaattributerouter.Create Evaluation Criteria Attribute
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
evaluation_criteria_id | body | string | Yes | None |
title | body | string | No | None |
definition | body | string | No | None |
unit_of_measure | body | string | No | None |
benchmark | body | string | No | None |
formula_name | body | string | No | None |
formula_function | body | CriteriaFormulaFunction | No | None |
formula_coefficient | body | number | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | EvaluationCriteriaAttributeResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonEvaluationCriteriaAttributeResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
evaluation_criteria_id | body | string | Yes | None |
title | body | string | Yes | None |
title_type | body | AttributeType | Yes | None |
definition | body | string | null | Yes | None |
unit_of_measure | body | string | Yes | None |
unit_of_measure_type | body | AttributeType | Yes | None |
benchmark | body | string | Yes | None |
benchmark_type | body | AttributeType | Yes | None |
formula_name | body | string | Yes | None |
formula_type | body | AttributeType | Yes | None |
formula_function | body | CriteriaFormulaFunction | Yes | None |
formula_coefficient | body | number | Yes | None |
attribute_order | body | integer | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
GET/api/evaluation-criteria/attributes/Evaluationcriteriaattributerouter.Get Evaluation Criteria Attributes
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_id | query | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListEvaluationCriteriaAttributeResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListEvaluationCriteriaAttributeResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_attributes | body | array<EvaluationCriteriaAttributeResponse> | Yes | None |
evaluation_criteria_attributes[].id | body | string | Yes | None |
evaluation_criteria_attributes[].user_id | body | string | Yes | None |
evaluation_criteria_attributes[].operation_id | body | string | Yes | None |
evaluation_criteria_attributes[].evaluation_criteria_id | body | string | Yes | None |
evaluation_criteria_attributes[].title | body | string | Yes | None |
evaluation_criteria_attributes[].title_type | body | AttributeType | Yes | None |
evaluation_criteria_attributes[].definition | body | string | null | Yes | None |
evaluation_criteria_attributes[].unit_of_measure | body | string | Yes | None |
evaluation_criteria_attributes[].unit_of_measure_type | body | AttributeType | Yes | None |
evaluation_criteria_attributes[].benchmark | body | string | Yes | None |
evaluation_criteria_attributes[].benchmark_type | body | AttributeType | Yes | None |
evaluation_criteria_attributes[].formula_name | body | string | Yes | None |
evaluation_criteria_attributes[].formula_type | body | AttributeType | Yes | None |
evaluation_criteria_attributes[].formula_function | body | CriteriaFormulaFunction | Yes | None |
evaluation_criteria_attributes[].formula_coefficient | body | number | Yes | None |
evaluation_criteria_attributes[].attribute_order | body | integer | Yes | None |
evaluation_criteria_attributes[].created_at | body | string | null | No | None |
evaluation_criteria_attributes[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/evaluation-criteria/attributes/{evaluation_criteria_attribute_id}Evaluationcriteriaattributerouter.Update Evaluation Criteria Attribute
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_attribute_id | path | string | Yes | None |
title | body | string | null | No | None |
definition | body | string | null | No | None |
unit_of_measure | body | string | null | No | None |
benchmark | body | string | null | No | None |
formula_name | body | string | null | No | None |
formula_function | body | CriteriaFormulaFunction | null | No | None |
formula_coefficient | body | number | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
POST/api/evaluation-criteria/generateEvaluationcriteriarouter.Generate Evaluation Criteria
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
PUT/api/evaluation-criteria/loadEvaluationcriteriarouter.Load From Template
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
template_id | body | string | Yes | None |
evaluation_criteria_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/evaluation-criteria/score/attributes/Evaluationcriteriascoreattributerouter.Get Evaluation Criteria Score Attributes
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_score_id | query | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListEvaluationCriteriaScoreAttributeResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListEvaluationCriteriaScoreAttributeResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
criteria_scores | body | array<EvaluationCriteriaScoreAttributeResponse> | Yes | None |
criteria_scores[].id | body | string | Yes | None |
criteria_scores[].user_id | body | string | Yes | None |
criteria_scores[].operation_id | body | string | Yes | None |
criteria_scores[].coa_statement_id | body | string | Yes | None |
criteria_scores[].evaluation_criteria_score_id | body | string | Yes | None |
criteria_scores[].title | body | string | null | Yes | None |
criteria_scores[].definition | body | string | null | Yes | None |
criteria_scores[].unit_of_measure | body | string | null | Yes | None |
criteria_scores[].benchmark | body | string | null | Yes | None |
criteria_scores[].formula_name | body | string | null | Yes | None |
criteria_scores[].formula_function | body | string | null | Yes | None |
criteria_scores[].formula_coefficient | body | number | null | Yes | None |
criteria_scores[].grade | body | number | null | Yes | None |
criteria_scores[].reasoning | body | string | null | Yes | None |
criteria_scores[].created_at | body | string | null | No | None |
criteria_scores[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
GET/api/evaluation-criteria/scores/Evaluationcriteriascorerouter.Gets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_ids | query | array<string> | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListEvaluationCriteriaScoreResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListEvaluationCriteriaScoreResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
scores | body | array<EvaluationCriteriaScoreResponse> | Yes | None |
scores[].id | body | string | Yes | None |
scores[].user_id | body | string | Yes | None |
scores[].operation_id | body | string | Yes | None |
scores[].coa_statement_id | body | string | Yes | None |
scores[].coa_statement_name | body | string | Yes | None |
scores[].score | body | number | null | Yes | None |
scores[].summary | body | string | null | Yes | None |
scores[].status | body | WorkerStatus | null | Yes | None |
scores[].created_at | body | string | null | No | None |
scores[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
GET/api/evaluation-criteria/scores/{evaluation_criteria_score_id}Evaluationcriteriascorerouter.Get
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_score_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | EvaluationCriteriaScoreResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonEvaluationCriteriaScoreResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
coa_statement_id | body | string | Yes | None |
coa_statement_name | body | string | Yes | None |
score | body | number | null | Yes | None |
summary | body | string | null | Yes | None |
status | body | WorkerStatus | null | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
POST/api/evaluation-criteria/scores/generateEvaluationcriteriascorerouter.Generate
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_ids | body | array<string> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
POST/api/evaluation-criteria/templates/Evaluationcriteriatemplaterouter.Create Evaluation Criteria Template
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
evaluation_criteria_id | body | string | Yes | None |
name | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | EvaluationCriteriaTemplateResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonEvaluationCriteriaTemplateResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
evaluation_criteria_id | body | string | Yes | None |
extra_information | body | string | null | Yes | None |
formula_grading | body | FormulaGrading | Yes | None |
name | body | string | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
GET/api/evaluation-criteria/templates/Evaluationcriteriatemplaterouter.Get Evaluation Criteria Templates
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | query | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListEvaluationCriteriaTemplateResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListEvaluationCriteriaTemplateResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
templates | body | array<EvaluationCriteriaTemplateResponse> | Yes | None |
templates[].id | body | string | Yes | None |
templates[].user_id | body | string | Yes | None |
templates[].operation_id | body | string | Yes | None |
templates[].evaluation_criteria_id | body | string | Yes | None |
templates[].extra_information | body | string | null | Yes | None |
templates[].formula_grading | body | FormulaGrading | Yes | None |
templates[].name | body | string | Yes | None |
templates[].created_at | body | string | null | No | None |
templates[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
Groups7 operations
POST/api/groups/Grouprouter.Create Group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | GroupResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonGroupResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
name | body | string | Yes | None |
number_members | body | integer | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
GET/api/groups/Grouprouter.Get Groups
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
not_in_operation_id | query | string | null | No | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
query | query | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListGroupResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListGroupResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
groups | body | array<GroupResponse> | Yes | None |
groups[].id | body | string | Yes | None |
groups[].name | body | string | Yes | None |
groups[].number_members | body | integer | Yes | None |
groups[].created_at | body | string | null | No | None |
groups[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/groups/{group_id}Grouprouter.Update Group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
group_id | path | string | Yes | None |
name | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/groups/{group_id}/membersGroupmemberrouter.Get Group Members By Group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
group_id | path | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListMemberInGroupResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListMemberInGroupResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
members | body | array<MemberInGroupResponse> | Yes | None |
members[].group_member_id | body | string | Yes | None |
members[].member_id | body | string | Yes | None |
members[].name | body | string | Yes | None |
members[].role | body | UserRole | Yes | None |
members[].picture_url | body | string | null | No | None |
members[].email | body | string | Yes | None |
members[].created_at | body | string | null | No | None |
members[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
POST/api/groups/membersGroupmemberrouter.Create Group Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
group_id | body | string | Yes | None |
member_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/groups/membersGroupmemberrouter.Get Group Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
size | query | integer | null | No | None |
page | query | integer | null | No | None |
query | query | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListGroupMemberResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListGroupMemberResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
group_members | body | array<GroupMemberResponse> | Yes | None |
group_members[].member_id | body | string | Yes | None |
group_members[].name | body | string | Yes | None |
group_members[].email | body | string | Yes | None |
group_members[].role | body | UserRole | Yes | None |
group_members[].picture_url | body | string | null | No | None |
group_members[].groups | body | array<Group> | Yes | None |
group_members[].created_at | body | string | null | No | None |
group_members[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
DELETE/api/groups/members/{group_member_id}Groupmemberrouter.Delete Group Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
group_member_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
Health1 operations
GET/api/health/Healthrouter.Health
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
Jobs3 operations
POST/api/jobs/Jobsrouter.Create Job
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_type | body | integer | Yes | None |
name | body | string | Yes | None |
input_data | body | object | Yes | None |
retries | body | integer | null | No | None |
timeout_seconds | body | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | JobResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonJobResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | null | Yes | None |
parent_job_id | body | string | null | No | None |
name | body | string | Yes | None |
job_type | body | integer | Yes | None |
input_data | body | object | null | Yes | None |
status | body | JobStatus | Yes | None |
result | body | JobResult | Yes | None |
result_context | body | object | null | Yes | None |
progress_context | body | object | null | No | None |
retries_remaining | body | integer | Yes | None |
worker_id | body | string | null | Yes | None |
started_at | body | string | null | Yes | None |
cancel_requested_at | body | string | null | No | None |
available_at | body | string | Yes | None |
timeout_seconds | body | integer | Yes | None |
GET/api/jobs/Jobsrouter.Get Jobs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
size | query | integer | null | No | None |
page | query | integer | null | No | None |
job_id | query | string | null | No | None |
name | query | string | null | No | None |
job_type | query | integer | Yes | None |
status | query | JobStatus | null | No | None |
result | query | JobResult | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListJobsResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListJobsResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
jobs | body | array<JobResponse> | Yes | None |
jobs[].id | body | string | Yes | None |
jobs[].created_at | body | string | Yes | None |
jobs[].updated_at | body | string | null | Yes | None |
jobs[].deleted_at | body | string | null | Yes | None |
jobs[].user_id | body | string | null | Yes | None |
jobs[].parent_job_id | body | string | null | No | None |
jobs[].name | body | string | Yes | None |
jobs[].job_type | body | integer | Yes | None |
jobs[].input_data | body | object | null | Yes | None |
jobs[].status | body | JobStatus | Yes | None |
jobs[].result | body | JobResult | Yes | None |
jobs[].result_context | body | object | null | Yes | None |
jobs[].progress_context | body | object | null | No | None |
jobs[].retries_remaining | body | integer | Yes | None |
jobs[].worker_id | body | string | null | Yes | None |
jobs[].started_at | body | string | null | Yes | None |
jobs[].cancel_requested_at | body | string | null | No | None |
jobs[].available_at | body | string | Yes | None |
jobs[].timeout_seconds | body | integer | Yes | None |
pagination | body | PaginationResponse | null | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
POST/api/jobs/cancel/{job_id}Jobsrouter.Cancel Job
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | JobResponse | null | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonJobResponse | null| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | null | Yes | None |
parent_job_id | body | string | null | No | None |
name | body | string | Yes | None |
job_type | body | integer | Yes | None |
input_data | body | object | null | Yes | None |
status | body | JobStatus | Yes | None |
result | body | JobResult | Yes | None |
result_context | body | object | null | Yes | None |
progress_context | body | object | null | No | None |
retries_remaining | body | integer | Yes | None |
worker_id | body | string | null | Yes | None |
started_at | body | string | null | Yes | None |
cancel_requested_at | body | string | null | No | None |
available_at | body | string | Yes | None |
timeout_seconds | body | integer | Yes | None |
Landing Zones1 operations
POST/api/landing-zones/Landingzonerouter.Survey Landing Zones
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | body | string | Yes | None |
boundary_shape | body | object | Yes | None |
platform | body | AircraftPlatform | Yes | None |
mobility_config | body | PathfindingMobilityConfig | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | BaseMapLayerSchema | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonBaseMapLayerSchema| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | Yes | None |
map_id | body | string | Yes | None |
name | body | string | Yes | None |
json_data | body | object | string | null | Yes | None |
layer_type | body | MapLayerType | Yes | None |
LLM Simulations5 operations
POST/api/llm-simulations/Llmsimulationrouter.Create Llm Simulation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
coa_statement_id | body | string | Yes | None |
guidelines | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/llm-simulations/Llmsimulationrouter.Get Llm Simulations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
coa_statement_id | query | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListLLMSimulationResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListLLMSimulationResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
llm_simulations | body | array<LLMSimulationResponse> | Yes | None |
llm_simulations[].id | body | string | Yes | None |
llm_simulations[].user_id | body | string | Yes | None |
llm_simulations[].operation_id | body | string | Yes | None |
llm_simulations[].coa_statement_id | body | string | Yes | None |
llm_simulations[].synchronization_matrix | body | array<Matrix> | null | Yes | None |
llm_simulations[].likely_and_dangerous | body | array<LikelyAndDangerous> | string | null | Yes | None |
llm_simulations[].obstacle | body | array<Obstacle> | null | Yes | None |
llm_simulations[].guidelines | body | string | null | Yes | None |
llm_simulations[].version | body | string | Yes | None |
llm_simulations[].status | body | WorkerStatus | null | Yes | None |
llm_simulations[].created_at | body | string | null | No | None |
llm_simulations[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
GET/api/llm-simulations/{llm_simulation_id}Llmsimulationrouter.Get Llm Simulation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
llm_simulation_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | LLMSimulationResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonLLMSimulationResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
coa_statement_id | body | string | Yes | None |
synchronization_matrix | body | array<Matrix> | null | Yes | None |
synchronization_matrix[].time_interval | body | string | No | None |
synchronization_matrix[].key_decision_point | body | string | No | None |
synchronization_matrix[].maneuvers | body | string | No | None |
synchronization_matrix[].fires | body | string | No | None |
likely_and_dangerous | body | array<LikelyAndDangerous> | string | null | Yes | None |
likely_and_dangerous[].phase | body | string | No | None |
likely_and_dangerous[].decision_point | body | string | No | None |
likely_and_dangerous[].obstacle | body | string | No | None |
obstacle | body | array<Obstacle> | null | Yes | None |
obstacle[].action | body | string | Yes | None |
obstacle[].obstacle_action | body | array<ObstacleAction> | Yes | None |
obstacle[].decision_point | body | string | Yes | None |
obstacle[].phase | body | integer | Yes | None |
guidelines | body | string | null | Yes | None |
version | body | string | Yes | None |
status | body | WorkerStatus | null | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
DELETE/api/llm-simulations/{llm_simulation_id}Llmsimulationrouter.Delete Llm Simulation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
llm_simulation_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/llm-simulations/{llm_simulation_id}/discussionDiscussionrouter.Get Discussion
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
llm_simulation_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | array<DiscussionResponse> | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonarray<DiscussionResponse>| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | array<DiscussionResponse> | Yes | None |
body[].id | body | string | Yes | None |
body[].operation_id | body | string | Yes | None |
body[].coa_statement_id | body | string | Yes | None |
body[].llm_simulation_id | body | string | Yes | None |
body[].user_id | body | string | Yes | None |
body[].title | body | string | Yes | None |
body[].content | body | string | Yes | None |
body[].index | body | integer | Yes | None |
body[].phase | body | integer | Yes | None |
body[].created_at | body | string | null | No | None |
body[].updated_at | body | string | null | No | None |
Maps9 operations
POST/api/map-layers/Maplayerrouter.Create Layer
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | body | string | Yes | None |
name | body | string | null | No | None |
layer_type | body | MapLayerType | null | No | None |
json_data | body | object | null | No | None |
extra_data | body | object | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/map-layers/Maplayerrouter.Get Map Layers
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | query | string | null | No | None |
layer_type | query | MapLayerType | null | No | None |
meta_only | query | boolean | No | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListMapLayerResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListMapLayerResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_layers | body | array<BaseMapLayerSchema> | Yes | None |
map_layers[].id | body | string | Yes | None |
map_layers[].created_at | body | string | Yes | None |
map_layers[].updated_at | body | string | null | Yes | None |
map_layers[].deleted_at | body | string | null | Yes | None |
map_layers[].user_id | body | string | Yes | None |
map_layers[].map_id | body | string | Yes | None |
map_layers[].name | body | string | Yes | None |
map_layers[].json_data | body | object | string | null | Yes | None |
map_layers[].layer_type | body | MapLayerType | Yes | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
GET/api/map-layers/{map_layer_id}Maplayerrouter.Get Map Layer
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_layer_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | BaseMapLayerSchema | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonBaseMapLayerSchema| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | Yes | None |
map_id | body | string | Yes | None |
name | body | string | Yes | None |
json_data | body | object | string | null | Yes | None |
layer_type | body | MapLayerType | Yes | None |
PUT/api/map-layers/{map_layer_id}Maplayerrouter.Update Map Layer
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_layer_id | path | string | Yes | None |
name | body | string | null | No | None |
layer_type | body | MapLayerType | null | No | None |
json_data | body | object | null | No | None |
extra_data | body | object | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | BaseMapLayerSchema | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonBaseMapLayerSchema| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | Yes | None |
map_id | body | string | Yes | None |
name | body | string | Yes | None |
json_data | body | object | string | null | Yes | None |
layer_type | body | MapLayerType | Yes | None |
DELETE/api/map-layers/{map_layer_id}Maplayerrouter.Delete Map Layer
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_layer_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | BaseMapLayerSchema | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonBaseMapLayerSchema| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | Yes | None |
map_id | body | string | Yes | None |
name | body | string | Yes | None |
json_data | body | object | string | null | Yes | None |
layer_type | body | MapLayerType | Yes | None |
POST/api/maps/Maprouter.Create Map
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
name | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MapSchema | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMapSchema| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
created_at | body | string | Yes | None |
updated_at | body | string | null | Yes | None |
deleted_at | body | string | null | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
name | body | string | Yes | None |
GET/api/maps/Maprouter.Get Maps
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | query | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListMapResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListMapResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
maps | body | array<MapSchema> | Yes | None |
maps[].id | body | string | Yes | None |
maps[].created_at | body | string | Yes | None |
maps[].updated_at | body | string | null | Yes | None |
maps[].deleted_at | body | string | null | Yes | None |
maps[].user_id | body | string | Yes | None |
maps[].operation_id | body | string | Yes | None |
maps[].name | body | string | Yes | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/maps/{map_id}Maprouter.Update Map
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | path | string | Yes | None |
name | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
DELETE/api/maps/{map_id}Maprouter.Delete Map
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
Mission Analysis7 operations
GET/api/mission-analysis/Missionanalysisrouter.Get Mission Analysis
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | query | string | Yes | None |
type | query | MissionAnalysisAvailable | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MissionAnalysisResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMissionAnalysisResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
content | body | string | null | Yes | None |
generated_output | body | string | null | Yes | None |
guidelines | body | string | null | Yes | None |
type | body | string | Yes | None |
status | body | WorkerStatus | null | No | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
PUT/api/mission-analysis/{mission_analysis_id}Missionanalysisrouter.Update Mission Analysis
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
mission_analysis_id | path | string | Yes | None |
content | body | string | null | No | None |
guidelines | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
POST/api/mission-analysis/{mission_analysis_id}/generateMissionanalysisrouter.Generate Single Mission Analysis
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
mission_analysis_id | path | string | Yes | None |
guidelines | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/mission-analysis/fieldsMissionanalysisrouter.Get Available Fields
Parameters
This endpoint does not declare parameters or a request body.
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | array<MissionAnalysisAvailable> | No | Successful Response |
Response body
200application/jsonarray<MissionAnalysisAvailable>| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | array<MissionAnalysisAvailable> | Yes | None |
GET/api/mission-analysis/files/Selectedfilerouter.Get Selected Files
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
mission_analysis_id | query | string | Yes | None |
select_type | query | SelectedFileType | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListDocumentResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListDocumentResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
documents | body | array<DocumentResponse> | Yes | None |
documents[].id | body | string | Yes | None |
documents[].operation_id | body | string | Yes | None |
documents[].name | body | string | Yes | None |
documents[].type | body | DocumentType | Yes | None |
documents[].file_type | body | string | Yes | None |
documents[].size | body | integer | Yes | None |
documents[].path | body | string | Yes | None |
documents[].num_tokens | body | integer | Yes | None |
documents[].status | body | WorkerStatus | null | Yes | None |
documents[].created_at | body | string | null | No | None |
documents[].updated_at | body | string | null | No | None |
documents[].opened_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/mission-analysis/files/Selectedfilerouter.Update Selected File
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
mission_analysis_id | body | string | Yes | None |
document_ids | body | array<string> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
POST/api/mission-analysis/generateMissionanalysisrouter.Generate Mission Analysis
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | GenerateMissionAnalysisResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonGenerateMissionAnalysisResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
mission_analysis_ids | body | array<string> | Yes | None |
MSS4 operations
POST/api/mss/Mssrouter.Generate Mss
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
engine | query | object | null | No | None |
session_factory | query | object | null | No | None |
pool_size | query | integer | null | No | None |
max_overflow | query | integer | null | No | None |
inputs | body | object | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
GET/api/mss/Mssrouter.Get Mss
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | query | string | null | Yes | None |
engine | query | object | null | No | None |
session_factory | query | object | null | No | None |
pool_size | query | integer | null | No | None |
max_overflow | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
POST/api/mss/cancelMssrouter.Cancel Mss
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
map_id | query | string | Yes | None |
engine | query | object | null | No | None |
session_factory | query | object | null | No | None |
pool_size | query | integer | null | No | None |
max_overflow | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
POST/api/mss/rankMssrouter.Mss Rank
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
engine | query | object | null | No | None |
session_factory | query | object | null | No | None |
pool_size | query | integer | null | No | None |
max_overflow | query | integer | null | No | None |
map_id | body | string | Yes | None |
weights | body | object | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
Operations10 operations
POST/api/operations/Operationrouter.Create Operation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
unit_id | body | string | null | No | None |
parent_id | body | string | null | No | None |
name | body | string | Yes | None |
unit | body | string | Yes | None |
branch | body | string | Yes | None |
echelon | body | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | OperationResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonOperationResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
unit_id | body | string | null | No | None |
parent_id | body | string | null | Yes | None |
name | body | string | Yes | None |
unit | body | string | Yes | None |
branch | body | string | Yes | None |
echelon | body | string | Yes | None |
status | body | WorkerStatus | null | Yes | None |
policies | body | array<string> | Yes | None |
state | body | StepperType | null | No | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
GET/api/operations/Operationrouter.Get Operations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
unit_id | query | string | null | No | None |
parent_id | query | string | null | No | None |
force_all | query | boolean | No | None |
query | query | string | null | No | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListOperationResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListOperationResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
operations | body | array<OperationResponse> | Yes | None |
operations[].id | body | string | Yes | None |
operations[].user_id | body | string | Yes | None |
operations[].unit_id | body | string | null | No | None |
operations[].parent_id | body | string | null | Yes | None |
operations[].name | body | string | Yes | None |
operations[].unit | body | string | Yes | None |
operations[].branch | body | string | Yes | None |
operations[].echelon | body | string | Yes | None |
operations[].status | body | WorkerStatus | null | Yes | None |
operations[].policies | body | array<string> | Yes | None |
operations[].state | body | StepperType | null | No | None |
operations[].created_at | body | string | null | No | None |
operations[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/operations/{operation_id}Operationrouter.Update Operation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
unit_id | body | string | null | No | None |
parent_id | body | string | null | No | None |
name | body | string | null | No | None |
unit | body | string | null | No | None |
branch | body | string | null | No | None |
echelon | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/operations/{operation_id}Operationrouter.Get Operation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | OperationResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonOperationResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
unit_id | body | string | null | No | None |
parent_id | body | string | null | Yes | None |
name | body | string | Yes | None |
unit | body | string | Yes | None |
branch | body | string | Yes | None |
echelon | body | string | Yes | None |
status | body | WorkerStatus | null | Yes | None |
policies | body | array<string> | Yes | None |
state | body | StepperType | null | No | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
DELETE/api/operations/{operation_id}Operationrouter.Delete Operation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | OperationResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonOperationResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
unit_id | body | string | null | No | None |
parent_id | body | string | null | Yes | None |
name | body | string | Yes | None |
unit | body | string | Yes | None |
branch | body | string | Yes | None |
echelon | body | string | Yes | None |
status | body | WorkerStatus | null | Yes | None |
policies | body | array<string> | Yes | None |
state | body | StepperType | null | No | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
GET/api/operations/{operation_id}/generated-maps/{asset_path}Operationrouter.Get Generated Map
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
asset_path | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | object | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonobject| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Yes | None |
POST/api/operations/{operation_id}/membersOperationmemberrouter.Create Operation Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
members | body | array<OperationMember> | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
GET/api/operations/{operation_id}/membersOperationmemberrouter.Get Operation Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
size | query | integer | null | No | None |
page | query | integer | null | No | None |
query | query | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | ListOperationMemberResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonListOperationMemberResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_members | body | array<OperationMemberResponse> | Yes | None |
operation_members[].id | body | string | Yes | None |
operation_members[].member_id | body | string | Yes | None |
operation_members[].name | body | string | Yes | None |
operation_members[].email | body | string | null | No | None |
operation_members[].picture_url | body | string | null | No | None |
operation_members[].generation | body | boolean | Yes | None |
operation_members[].type | body | OperationMemberType | Yes | None |
operation_members[].roles | body | UserRole | null | No | None |
operation_members[].created_at | body | string | null | No | None |
operation_members[].updated_at | body | string | null | No | None |
pagination | body | PaginationResponse | Yes | None |
pagination.current_page | body | integer | null | No | None |
pagination.total_pages | body | integer | null | No | None |
pagination.total_records | body | integer | null | No | None |
PUT/api/operations/{operation_id}/members/{operation_member_id}Operationmemberrouter.Update Operation Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
operation_member_id | path | string | Yes | None |
generation | body | boolean | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
DELETE/api/operations/{operation_id}/members/{operation_member_id}Operationmemberrouter.Delete Operation Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | path | string | Yes | None |
operation_member_id | path | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
OPORD10 operations
GET/api/opords/Opordrouter.Get Opord
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
operation_id | query | string | Yes | None |
coa_statement_id | query | string | Yes | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | OPORDResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonOPORDResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | body | string | Yes | None |
user_id | body | string | Yes | None |
operation_id | body | string | Yes | None |
coa_statement_id | body | string | Yes | None |
operation_name | body | string | null | Yes | None |
operation_number | body | string | null | Yes | None |
time_zone | body | string | null | Yes | None |
place_of_issue | body | string | null | Yes | None |
created_at | body | string | null | No | None |
updated_at | body | string | null | No | None |
PUT/api/opords/{opord_id}Opordrouter.Update Opord
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
opord_id | path | string | Yes | None |
operation_name | body | string | null | No | None |
operation_number | body | string | null | No | None |
time_zone | body | string | null | No | None |
place_of_issue | body | string | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
200application/jsonMessageResponse| Name | In | Type | Required | Description |
|---|---|---|---|---|
message | body | string | No | None |
PUT/api/opords/{opord_id}/{attribute_id}Opordattributerouter.Update Opord Attribute
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
opord_id | path | string | Yes | None |
attribute_id | path | string | Yes | None |
content | body | string | array<string> | null | No | None |
classification | body | OPORDClassification | null | No | None |
section_name | body | string | null | No | None |
section_type | body | MissionAnalysisAvailable | COAStatementAvailable | string | null | No | None |
stepper_type | body | StepperType | null | No | None |
Responses
| Name | In | Type | Required | Description |
|---|---|---|---|---|
200 | application/json | MessageResponse | No | Successful Response |
422 | application/json | HTTPValidationError | No | Validation Error |
Response body
[...]
